Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::search_n_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename V , typename C = equal_to, typename P = ident, requires = (Searchnable<I, V, C, P>() && Sentinel<S, I>())>
I | operator() (I begin, S end, difference_type_t< I > count, V const &val, C pred=C{}, P proj=P{}) const
template<typename Rng , typename V , typename C = equal_to, typename P = ident, typename I = iterator_t<Rng>, requires = (Searchnable<I, V, C, P>() && Range<Rng>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, difference_type_t< I > count, V const &val, C pred=C{}, P proj=P{}) const